Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083312 - OVIRT35 - [RFE][oVirt] Disk alias recycling in web-admin portal
Summary: OVIRT35 - [RFE][oVirt] Disk alias recycling in web-admin portal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: All
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks: 1022795
TreeView+ depends on / blocked
 
Reported: 2014-04-01 22:27 UTC by Allon Mureinik
Modified: 2016-02-10 19:44 UTC (History)
15 users (show)

Fixed In Version: ovirt-engine-3.5.0_alpha2
Doc Type: Enhancement
Doc Text:
Clone Of: 1022795
Environment:
Last Closed: 2014-10-17 12:43:46 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24061 None None None Never
oVirt gerrit 31931 None None None Never

Description Allon Mureinik 2014-04-01 22:27:08 UTC
+++ This bug was initially created as a clone of Bug #1022795 +++

Description of problem:
Disk alias recycling in web-admin portal

Version-Release number of selected component (if applicable):
3.2

How reproducible:
Always

Steps to Reproduce:
1) Create VM with single disk.
(Disk Tab shows disk server_Disk1)
2) Add another disk.
(Disk Tab shows disk server_Disk1 and server_Disk2)
3) Delete orginal disk
(Disk Tab shows disk server_Disk2)
4) Add another disk
(Disk Tab shows disk server_Disk2 and server_Disk2)

Actual results:
(Disk Tab shows disk server_Disk2 and server_Disk2)

Expected results:
Disk creation dialog provides warning and does not permit two disks of the same alias.  Perhaps suggests new alias based on an incremental counter.

Comment 1 Lev Veyde 2014-07-01 13:45:50 UTC
It seems that alias recycling doesn't consider Disk1 alias ever again, after it was initially removed.

i.e. after adding Disk1 and Disk2, and then removing Disk1 the alias suggested will be Disk3, and not Disk1. That doesn't happen with other aliases, i.e. adding Disk1, Disk2 and Disk3 and then removing Disk1 and Disk2, will afterwards suggest Disk2 as the new disk alias, but not Disk1. If the Disk2 was added, then the next suggested alias will be Disk4 etc.

Also if the Disk1 was used instead of the suggested name, then the next time the suggested name jumps to the last number+1, disregarding the lower numbered options, i.e. if after adding Disk1, Disk2 and Disk3, and removing first two you modify the name to Disk1 (instead of the Disk2), then the next suggested name will be Disk4, and NOT Disk2 again.

Comment 2 Kevin Alon Goldblatt 2014-10-09 21:15:41 UTC
Verified with:
rhevm-3.5.0-0.14.beta.el6ev.noarch
vdsm-4.16.6-1.el6ev.x86_64

Created a VM with 1 disk  - displays aa_Disk1
Added new disk            - displays aa_Disk1 aa_Disk2
Delete aa_Disk1           - displays aa_Disk2
Add new disk  - aa_Disk1 is the suggested name (Correct behavior)
displays aa_Disk1 aa_Disk2
Add new disk - aa_Disk3 is the suggested name (correct behavior)
displays aa_Disk1 aa_Disk2 aa_Disk3 (correct hehavior)
Delete aa_Disk1 and aa_Disk2
displays aa_Disk3
Add new disk - aa_Disk1 is suggested (correct behavior)
displays aa_Disk1 aa_Disk2
Add new disk - aa_Disk2 is suggested (correct behavior)
displays aa_Disk1 aa_Disk2 aa_Disk3

Comment 3 Sandro Bonazzola 2014-10-17 12:43:46 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.